Page MenuHomePhabricator

Deploy Growth features on Estonian Wikipedia
Open, MediumPublicAug 24 2021

Description

NOTE: The configuration for the Growth features will be on wiki at Special:EditGrowthConfig.

General translations

  • Translate the interface (on translatewiki.net, needs a specific account)
  • Translate aliases:
    • Special:WelcomeSurvey -> Eri:Tervitusküsitlus
    • Special:Homepage -> Eri:Koduleht
    • Special:Impact -> Eri:Mõju
    • Special:ClaimMentee -> Eri:Juhendatava_võtmine

Help panel

TaskLabelTranslation of the label
Manual of styleHow to write a good articleKuidas kirjutada head artiklit
Help:EditingHow to edit a pageKuidas lehte redigeerida
Inserting images (using the visual editor)How to insert imagesKuidas pilte sisestada
Inserting references (using the visual editor)How to insert referencesKuidas viiteid sisestada
Article WizardHow to create an articleKuidas artiklit luua

Mentorship module (optional)

  1. Encourage community members to become mentors (can be done later). If done:
  2. The signature list has been formatted like it should be.
  3. Add the signature list to Q14339834.

Suggested edits

Templates and help pages are listed on wiki, at Special:EditGrowthConfig.

Anything else?

Do you have any particular information or configuration that we should be aware of (like you have a special in-person mentoring program, or your wiki uses FlaggedRevisions...):

Event Timeline

Restricted Application changed the subtype of this task from "Task" to "Deadline". · View Herald TranscriptAug 2 2021, 2:31 PM
Restricted Application added a subscriber: Aklapper. · View Herald Transcript
Urbanecm_WMF triaged this task as Medium priority.
Urbanecm_WMF edited projects, added Growth-Team (Current Sprint); removed Growth-Team.

Change 709521 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Enable Growth features on a couple of wikis in dark mode

https://gerrit.wikimedia.org/r/709521

Change 709521 merged by jenkins-bot:

[operations/mediawiki-config@master] Enable Growth features on a couple of wikis in dark mode

https://gerrit.wikimedia.org/r/709521

Mentioned in SAL (#wikimedia-operations) [2021-08-02T18:59:30Z] <urbanecm@deploy1002> Synchronized wmf-config/InitialiseSettings.php: bebf4a9819f80e19cbb94f115f47c1ff4d05b7d2: Enable Growth features on a couple of wikis in dark mode (T287868, T287874, T287873; 1/2) (duration: 00m 57s)

Mentioned in SAL (#wikimedia-operations) [2021-08-02T19:00:42Z] <urbanecm@deploy1002> Synchronized dblists/growthexperiments.dblist: bebf4a9819f80e19cbb94f115f47c1ff4d05b7d2: Enable Growth features on a couple of wikis in dark mode (T287868, T287874, T287873; 2/2) (duration: 00m 56s)

Mentioned in SAL (#wikimedia-operations) [2021-08-02T19:01:22Z] <urbanecm> Run extensions/GrowthExperiments/maintenance/initWikiConfig.php on a couple of wikis to init on-wiki config for Growth features (T287868, T287874, T287873)

@Trizek-WMF Growth features were just deployed in dark mode at this wiki. Please have a look, and let me know when it's time to promote the wiki out of dark mode.

Note I did not yet add special page aliases and copy help panel links descriptions -- I will do that ASAP.

FYI, I just copied the help link description translations from this task to community configuration (ie. Special:EditGrowthConfig), so they should now be also actually applied.

Change 714366 had a related patch set uploaded (by Urbanecm; author: Urbanecm):

[operations/mediawiki-config@master] Growth features: Promote 9 wikis out of dark mode

https://gerrit.wikimedia.org/r/714366

Change 714366 merged by jenkins-bot:

[operations/mediawiki-config@master] Growth features: Promote 9 wikis out of dark mode

https://gerrit.wikimedia.org/r/714366

@Trizek-WMF Hello, I just promoted Growth features out of dark mode on this wiki, as today is the due date set here. Let me know if you need any changes!

Etonkovidova added a subscriber: Etonkovidova.

Checked etwiki - GrowthExperiments features work as expected.
Notes:

  • the translated titles for Special pages are not found, e.g. for Special:WelcomeSurvey -> Eri:TereTulemastKüsitlusele will be not found, only Eri:WelcomeSurvey
  • the translation is only at 9%